=== modified file 'drizzled/common.h'
--- drizzled/common.h	2008-10-22 21:31:15 +0000
+++ drizzled/common.h	2008-10-29 09:34:45 +0000
@@ -304,9 +304,6 @@
 
 #define ONLY_KILL_QUERY         1
 
-struct st_vio;					/* Only C */
-typedef struct st_vio Vio;
-
 #define MAX_TINYINT_WIDTH       3       /* Max width for a TINY w.o. sign */
 #define MAX_SMALLINT_WIDTH      5       /* Max width for a SHORT w.o. sign */
 #define MAX_MEDIUMINT_WIDTH     8       /* Max width for a INT24 w.o. sign */

=== modified file 'drizzled/common_includes.h'
--- drizzled/common_includes.h	2008-10-28 10:10:54 +0000
+++ drizzled/common_includes.h	2008-10-29 09:34:45 +0000
@@ -64,8 +64,6 @@
 #include "scheduler.h"
 /* Network database operations (hostent, netent, servent, etc...*/
 #include <netdb.h>
-/* Definitions that the client and the server have in common */
-#include <drizzled/common.h>
 /* Contains system-wide constants and #defines */
 #include <drizzled/definitions.h>
 /* System-wide common data structures */

=== modified file 'libdrizzle/client.c'
--- libdrizzle/client.c	2008-10-22 23:29:43 +0000
+++ libdrizzle/client.c	2008-10-29 09:34:45 +0000
@@ -131,8 +131,8 @@
       len-=2;
       if (pos[0] == '#')
       {
-        strncpy(net->sqlstate, pos+1, SQLSTATE_LENGTH);
-        pos+= SQLSTATE_LENGTH+1;
+        strncpy(net->sqlstate, pos+1, LIBDRIZZLE_SQLSTATE_LENGTH);
+        pos+= LIBDRIZZLE_SQLSTATE_LENGTH+1;
       }
       else
       {

=== modified file 'libdrizzle/drizzle.c'
--- libdrizzle/drizzle.c	2008-10-25 04:31:54 +0000
+++ libdrizzle/drizzle.c	2008-10-29 09:34:45 +0000
@@ -50,7 +50,7 @@
 unsigned int drizzle_server_last_errno;
 
 /* Server error code and message */
-char drizzle_server_last_error[DRIZZLE_ERRMSG_SIZE];
+char drizzle_server_last_error[LIBDRIZZLE_ERRMSG_SIZE];
 
 /*
   Note that the drizzle argument must be initialized with drizzle_init()

=== modified file 'libdrizzle/net_serv.h'
--- libdrizzle/net_serv.h	2008-09-16 09:41:23 +0000
+++ libdrizzle/net_serv.h	2008-10-29 09:34:45 +0000
@@ -29,6 +29,9 @@
 extern "C" {
 #endif
 
+#define LIBDRIZZLE_ERRMSG_SIZE 512
+#define LIBDRIZZLE_SQLSTATE_LENGTH 5
+
 typedef struct st_net {
   Vio *vio;
   unsigned char *buff,*buff_end,*write_pos,*read_pos;
@@ -60,9 +63,9 @@
   unsigned int last_errno;
   unsigned char error; 
   /** Client library error message buffer. Actually belongs to struct MYSQL. */
-  char last_error[DRIZZLE_ERRMSG_SIZE];
+  char last_error[LIBDRIZZLE_ERRMSG_SIZE];
   /** Client library sqlstate buffer. Set along with the error message. */
-  char sqlstate[SQLSTATE_LENGTH+1];
+  char sqlstate[LIBDRIZZLE_SQLSTATE_LENGTH+1];
   void *extension;
 } NET;
 

=== modified file 'vio/violite.h'
--- vio/violite.h	2008-09-16 09:41:23 +0000
+++ vio/violite.h	2008-10-29 09:34:45 +0000
@@ -37,6 +37,9 @@
 };
 
 
+struct st_vio;					/* Only C */
+typedef struct st_vio Vio;
+
 #define VIO_LOCALHOST 1                         /* a localhost connection */
 #define VIO_BUFFERED_READ 2                     /* use buffered read */
 #define VIO_READ_BUFFER_SIZE 16384              /* size of read buffer */

